bitcomp.c File Reference
Bit compression
`#include <stdint.h>`
`#include <stdbool.h>`
`#include <errno.h>`
`#include <string.h>`
`#include <osmocom/core/bitvec.h>`
`#include <osmocom/core/bitcomp.h>`

## Functions

static int | t4_rle (struct bitvec *bv, unsigned len, bool b)
| Make-up codes for a given length. More...
int | osmo_t4_encode (struct bitvec *bv)
| encode bit vector in-place using T4 encoding Assumes MSB first encoding. More...

## Variables

static const unsigned | t4_term [2][64]
static const unsigned | t4_term_length [2][64]
static const unsigned | t4_make_up_length [2][15]
static const unsigned | t4_make_up [2][15]

## Detailed Description

Osmocom bit compression routines